GET /api/fleet/enrollment_api_keys/{keyId}

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/enrollment_api_keys/{keyId}

Refer to Spaces for more information.

Get an enrollment API key by ID.

[Required authorization] Route required privileges: fleet-agents-all OR fleet-setup.

Path parameters

  • keyId string Required

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • item object Required

      Additional properties are NOT allowed.

      Hide item attributes Show item attributes object
      • active boolean Required

        When false, the enrollment API key is revoked and cannot be used for enrolling Elastic Agents.

      • api_key string Required

        The enrollment API key (token) used for enrolling Elastic Agents.

      • api_key_id string Required

        The ID of the API key in the Security API.

      • created_at string Required
      • hidden boolean
      • id string Required
      • name string

        The name of the enrollment API key.

      • policy_id string

        The ID of the agent policy the Elastic Agent will be enrolled in.

  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
  • 404 application/json

    Not Found

GET /api/fleet/enrollment_api_keys/{keyId}
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/enrollment_api_keys/{keyId}' \
 --header "Authorization: $API_KEY"
Response examples (200)
An enrollment API key
{
  "item": {
    "active": true,
    "api_key": "api-key-value-1",
    "api_key_id": "api-key-id-1",
    "created_at": "2024-01-01T00:00:00.000Z",
    "id": "key-id-1",
    "name": "Default policy enrollment key",
    "policy_id": "policy-id-1"
  }
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
Response examples (404)
No enrollment API key was found with the given ID
{
  "error": "Not Found",
  "message": "EnrollmentAPIKey key-id-1 not found",
  "statusCode": 404
}